uuid: 0005b1b4-abfb-44c4-bd90-c34dfaddd355
langcode: en
status: true
dependencies: {  }
id: gronze_node_forum_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - node
  - gronze
  - forum
  - level3
migration_group: gronze_node_fields
label: 'Forum nodes fields migration from Gronze D7'
source:
  high_water_property:
    name: vid
    alias: 'n'
  plugin: d7_node_gronze
  node_type: forum
process:
  changed: changed
  nid:
    plugin: migration_lookup
    migration: gronze_node_forum
    source: nid
    no_stub: true
  body/value: body/0/value
  body/summary: body/0/summary
  body/format:
    plugin: text_format_map
    source: body/0/format
  taxonomy_forums:
    plugin: migration_lookup
    migration: gronze_taxonomy_forums
    source: taxonomy_forums
    no_stub: true
  field_image:
    plugin: sub_process
    source: field_imagen_tema_foro
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_media_image
        source: fid
        no_stub: true
destination:
  plugin: 'entity:node'
  default_bundle: forum
migration_dependencies:
  required:
    - gronze_node_forum
    - gronze_taxonomy_forums
    - gronze_media_image
